Name:           libsynaptics
Version:        0.14.6c
Release:        2
Summary:        Synaptics touchpad driver library
Group:          Libraries
License:        GPL
URL:            http://qsynaptics.sourceforge.net/
Source0:        http://qsynaptics.sourceforge.net/libsynaptics-%{version}.tar.bz2
Patch0:		libsynaptics-0.14.6c-fix-bad-returnvalue.diff
Patch1:		libsynaptics-0.14.6c-gcc43.diff
Patch2:		libsynaptics-0.14.6c_dbg-off.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
A small C++ library usable by the synaptics driver.
The version numbering will follow any driver releases, the appended letter
marks releases due to bug fixing.

%package        devel
Summary:        Development files for %{name}
Group:          Development

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p0

%build
%configure --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.a
%{_includedir}
